/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (c) 2019, The Linux Foundation. All rights reserved.
 */

#ifndef _DT_BINDINGS_CLK_QCOM_CAM_CC_LAGOON_H
#define _DT_BINDINGS_CLK_QCOM_CAM_CC_LAGOON_H

/* CAM_CC clocks */
#define CAM_CC_PLL0			0
#define CAM_CC_PLL0_OUT_EVEN		1
#define CAM_CC_PLL1			2
#define CAM_CC_PLL1_OUT_EVEN		3
#define CAM_CC_PLL2			4
#define CAM_CC_PLL2_OUT_MAIN		5
#define CAM_CC_PLL3			6
#define CAM_CC_BPS_AHB_CLK		7
#define CAM_CC_BPS_AREG_CLK		8
#define CAM_CC_BPS_AXI_CLK		9
#define CAM_CC_BPS_CLK			10
#define CAM_CC_BPS_CLK_SRC		11
#define CAM_CC_CAMNOC_ATB_CLK		12
#define CAM_CC_CAMNOC_AXI_CLK		13
#define CAM_CC_CCI_0_CLK		14
#define CAM_CC_CCI_0_CLK_SRC		15
#define CAM_CC_CCI_1_CLK		16
#define CAM_CC_CCI_1_CLK_SRC		17
#define CAM_CC_CORE_AHB_CLK		18
#define CAM_CC_CPAS_AHB_CLK		19
#define CAM_CC_CPHY_RX_CLK_SRC		20
#define CAM_CC_CSI0PHYTIMER_CLK		21
#define CAM_CC_CSI0PHYTIMER_CLK_SRC	22
#define CAM_CC_CSI1PHYTIMER_CLK		23
#define CAM_CC_CSI1PHYTIMER_CLK_SRC	24
#define CAM_CC_CSI2PHYTIMER_CLK		25
#define CAM_CC_CSI2PHYTIMER_CLK_SRC	26
#define CAM_CC_CSI3PHYTIMER_CLK		27
#define CAM_CC_CSI3PHYTIMER_CLK_SRC	28
#define CAM_CC_CSIPHY0_CLK		29
#define CAM_CC_CSIPHY1_CLK		30
#define CAM_CC_CSIPHY2_CLK		31
#define CAM_CC_CSIPHY3_CLK		32
#define CAM_CC_FAST_AHB_CLK_SRC		33
#define CAM_CC_ICP_APB_CLK		34
#define CAM_CC_ICP_ATB_CLK		35
#define CAM_CC_ICP_CLK			36
#define CAM_CC_ICP_CLK_SRC		37
#define CAM_CC_ICP_CTI_CLK		38
#define CAM_CC_ICP_TS_CLK		39
#define CAM_CC_IFE_0_AXI_CLK		40
#define CAM_CC_IFE_0_CLK		41
#define CAM_CC_IFE_0_CLK_SRC		42
#define CAM_CC_IFE_0_CPHY_RX_CLK	43
#define CAM_CC_IFE_0_CSID_CLK		44
#define CAM_CC_IFE_0_CSID_CLK_SRC	45
#define CAM_CC_IFE_0_DSP_CLK		46
#define CAM_CC_IFE_1_AXI_CLK		47
#define CAM_CC_IFE_1_CLK		48
#define CAM_CC_IFE_1_CLK_SRC		49
#define CAM_CC_IFE_1_CPHY_RX_CLK	50
#define CAM_CC_IFE_1_CSID_CLK		51
#define CAM_CC_IFE_1_CSID_CLK_SRC	52
#define CAM_CC_IFE_1_DSP_CLK		53
#define CAM_CC_IFE_2_AXI_CLK		54
#define CAM_CC_IFE_2_CLK		55
#define CAM_CC_IFE_2_CLK_SRC		56
#define CAM_CC_IFE_2_CPHY_RX_CLK	57
#define CAM_CC_IFE_2_CSID_CLK		58
#define CAM_CC_IFE_2_CSID_CLK_SRC	59
#define CAM_CC_IFE_2_DSP_CLK		60
#define CAM_CC_IFE_LITE_CLK		61
#define CAM_CC_IFE_LITE_CLK_SRC		62
#define CAM_CC_IFE_LITE_CPHY_RX_CLK	63
#define CAM_CC_IFE_LITE_CSID_CLK	64
#define CAM_CC_IFE_LITE_CSID_CLK_SRC	65
#define CAM_CC_IPE_0_AHB_CLK		66
#define CAM_CC_IPE_0_AREG_CLK		67
#define CAM_CC_IPE_0_AXI_CLK		68
#define CAM_CC_IPE_0_CLK		69
#define CAM_CC_IPE_0_CLK_SRC		70
#define CAM_CC_JPEG_CLK			71
#define CAM_CC_JPEG_CLK_SRC		72
#define CAM_CC_LRME_CLK			73
#define CAM_CC_LRME_CLK_SRC		74
#define CAM_CC_MCLK0_CLK		75
#define CAM_CC_MCLK0_CLK_SRC		76
#define CAM_CC_MCLK1_CLK		77
#define CAM_CC_MCLK1_CLK_SRC		78
#define CAM_CC_MCLK2_CLK		79
#define CAM_CC_MCLK2_CLK_SRC		80
#define CAM_CC_MCLK3_CLK		81
#define CAM_CC_MCLK3_CLK_SRC		82
#define CAM_CC_MCLK4_CLK		83
#define CAM_CC_MCLK4_CLK_SRC		84
#define CAM_CC_SLOW_AHB_CLK_SRC		85
#define CAM_CC_SOC_AHB_CLK		86
#define CAM_CC_SYS_TMR_CLK		87

#endif
